perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hibbard, Timothy" <hibb...@ohio.edu>
Subject $r->requires() issue.
Date Tue, 05 Feb 2013 16:27:06 GMT
Can someone clue me in to what libraries are needed for $r->requires().

I have set up a new VM box using Fedora 18 (64 bit) with Apache and ModPerl.  I use Apache::AuthCookie
to do my authentication.  I have this working on 4 different other servers but on this VM
box I am having issues.  I get the following error in httpd log files.

Can't locate object method "requires" via package "Apache2::RequestRec" at /usr/local/share/perl5/Apache2/AuthCookie.pm
line 377, <DATA> line 558.\n, referer: https://leoalpha.research.ohio.edu/

I can get around the authentication by uncommenting the feature and my modPerl app works just
fine so that tells me modPerl is installed.  However I am wondering why $r->requires is
not being found?  I see all the Apache2::modules installed on the server but I am thinking
something must be missing?  Is Apache::Constants needed somehow or some old library?

I've been banging my head against the wall for a few days on this one.  Do not know if this
is the right place to ask such questions.

Thanks in advance,
Tim Hibbard

Mime
View raw message